import { jsx } from "react/jsx-runtime";
import { TokenMOC as TokenMOC$1 } from "@web3icons/react";
import { forwardRef } from "react";
import { ExperimentalIcon } from "../experimental/Icon.js";
const TokenMOC = forwardRef(
  ({ variant = "mono", ...props }, forwardedRef) => {
    return /* @__PURE__ */ jsx(ExperimentalIcon, { ref: forwardedRef, alt: "MOC", "data-name": "TokenMOC", ...props, children: /* @__PURE__ */ jsx(TokenMOC$1, { variant }) });
  }
);
TokenMOC.displayName = "TokenMOC";
Object.assign(TokenMOC, { isGdsIcon: true });
export {
  TokenMOC
};
